import { Editor, Setters as InnerSetters, Hotkey as InnerHotkey } from '@alilc/lowcode-editor-core';
import { Designer, LowCodePluginManager, Project as InnerProject } from '@alilc/lowcode-designer';
import { Skeleton as InnerSkeleton } from '@alilc/lowcode-editor-skeleton';
import { Hotkey, Plugins, Project, Skeleton, Setters, Material, Canvas } from '@alilc/lowcode-shell';
import { Workspace as InnerWorkspace } from './workspace';
import { EditorWindow } from './editor-window/context';
export declare class BasicContext {
    editorWindow?: EditorWindow;
    skeleton: Skeleton;
    plugins: Plugins;
    project: Project;
    setters: Setters;
    material: Material;
    config: any;
    event: any;
    logger: any;
    hotkey: Hotkey;
    innerProject: InnerProject;
    editor: Editor;
    designer: Designer;
    registerInnerPlugins: () => Promise<void>;
    innerSetters: InnerSetters;
    innerSkeleton: InnerSkeleton;
    innerHotkey: InnerHotkey;
    innerPlugins: LowCodePluginManager;
    canvas: Canvas;
    constructor(innerWorkspace: InnerWorkspace, viewName: string, editorWindow?: EditorWindow);
}
