import { IPublicEditorViewConfig, IPublicTypeEditorView } from '@alilc/lowcode-types';
import { Workspace as InnerWorkspace } from '../workspace';
import { BasicContext } from '../base-context';
import { EditorWindow } from '../editor-window/context';
export declare class Context extends BasicContext {
    workspace: InnerWorkspace;
    editorWindow: EditorWindow;
    editorView: IPublicTypeEditorView;
    viewName: string;
    instance: IPublicEditorViewConfig;
    viewType: 'editor' | 'webview';
    _activate: boolean;
    isInit: boolean;
    init: () => import("mobx/dist/internal").CancellablePromise<void>;
    constructor(workspace: InnerWorkspace, editorWindow: EditorWindow, editorView: IPublicTypeEditorView, options: Object);
    setActivate: (_activate: boolean) => void;
    get active(): boolean;
    save(): Promise<void>;
}
