import _inheritsLoose from "@babel/runtime/helpers/inheritsLoose";
var _class;
import { PureComponent } from 'react';
import { EditorView } from '../editor-view/view';
import { engineConfig, observer } from '@alilc/lowcode-editor-core';
import { BuiltinLoading } from '@alilc/lowcode-designer';
export var EditorWindowView = observer(_class = /*#__PURE__*/function (_PureComponent) {
  _inheritsLoose(EditorWindowView, _PureComponent);
  function EditorWindowView() {
    return _PureComponent.apply(this, arguments) || this;
  }
  var _proto = EditorWindowView.prototype;
  _proto.render = function render() {
    var active = this.props.active;
    var _this$props$editorWin = this.props.editorWindow,
      editorView = _this$props$editorWin.editorView,
      editorViews = _this$props$editorWin.editorViews;
    if (!editorView) {
      var Loading = engineConfig.get('loadingComponent', BuiltinLoading);
      return /*#__PURE__*/React.createElement("div", {
        className: "workspace-engine-main " + (active ? 'active' : '')
      }, /*#__PURE__*/React.createElement(Loading, null));
    }
    return /*#__PURE__*/React.createElement("div", {
      className: "workspace-engine-main " + (active ? 'active' : '')
    }, Array.from(editorViews.values()).map(function (editorView) {
      return /*#__PURE__*/React.createElement(EditorView, {
        key: editorView.name,
        active: editorView.active,
        editorView: editorView
      });
    }));
  };
  return EditorWindowView;
}(PureComponent)) || _class;